Uploaded image for project: 'OpenShift Bugs'
  1. OpenShift Bugs
  2. OCPBUGS-8302

Add admin acknowledgement in 4.12 for API removals in 4.13

    XMLWordPrintable

Details

    • Bug
    • Resolution: Done
    • Critical
    • None
    • 4.12.z
    • None
    • Important
    • No
    • Proposed
    • False
    • Hide

      None

      Show
      None

    Description

      Description of problem:

      We need to have admin-ack in 4.12 so that admins can check the deprecated APIs and approve when they move to 4.12.Refer https://access.redhat.com/articles/6958394 for  more information. As planned we want to add the admin-ack around 4.13 feature freeze.

      Version-Release number of selected component (if applicable):

       

      How reproducible:

       

      Steps to Reproduce:

      1. Install a cluster in 4.12. 
      2. Run an application which uses the deprecated API. See https://access.redhat.com/articles/6958394 for more information.
      3. Upgrade to 4.13

      Actual results:

      The upgrade happens without asking the admin to confirm that the worksloads do not use the deprecated APIs.

      Expected results:

      Upgrade should wait for the admin-ack.

      Additional info:

      This was the PR for 4.11.z https://github.com/openshift/cluster-version-operator/pull/836

      Attachments

        Issue Links

          Activity

            People

              lmohanty@redhat.com Lalatendu Mohanty
              lmohanty@redhat.com Lalatendu Mohanty
              Evgeni Vakhonin Evgeni Vakhonin (Inactive)
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: